{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_delly"
            ],
            "label": "cmo-delly-call",
            "arguments": [
                {
                    "valueFrom": "0.7.7",
                    "prefix": "--version",
                    "position": 0
                },
                {
                    "valueFrom": "call",
                    "prefix": "--cmd",
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 8000,
                    "coresMin": 1,
                    "class": "ResourceRequirement"
                }
            ],
            "doc": "None\n",
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "include regions marked in this genome",
                    "inputBinding": {
                        "prefix": "--all_regions"
                    },
                    "id": "#cmo-delly.call.cwl/all_regions"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "genome fasta file",
                    "inputBinding": {
                        "prefix": "--genome"
                    },
                    "id": "#cmo-delly.call.cwl/g"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "no small InDel calling",
                    "inputBinding": {
                        "prefix": "--noindels"
                    },
                    "id": "#cmo-delly.call.cwl/n"
                },
                {
                    "type": "File",
                    "doc": "Sorted normal bam",
                    "inputBinding": {
                        "prefix": "--normal_bam"
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#cmo-delly.call.cwl/normal_bam"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "sv.bcf",
                    "doc": "SV BCF output file",
                    "inputBinding": {
                        "prefix": "--outfile"
                    },
                    "id": "#cmo-delly.call.cwl/o"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 1,
                    "doc": "min. paired-end mapping quality",
                    "inputBinding": {
                        "prefix": "--map-qual"
                    },
                    "id": "#cmo-delly.call.cwl/q"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 9,
                    "doc": "insert size cutoff, median+s*MAD (deletions only)",
                    "inputBinding": {
                        "prefix": "--mad-cutoff"
                    },
                    "id": "#cmo-delly.call.cwl/s"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stderr to file",
                    "inputBinding": {
                        "prefix": "--stderr"
                    },
                    "id": "#cmo-delly.call.cwl/stderr"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stdout to file",
                    "inputBinding": {
                        "prefix": "--stdout"
                    },
                    "id": "#cmo-delly.call.cwl/stdout"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "DEL",
                    "doc": "SV type (DEL, DUP, INV, BND, INS)",
                    "inputBinding": {
                        "prefix": "--type"
                    },
                    "id": "#cmo-delly.call.cwl/t"
                },
                {
                    "type": "File",
                    "doc": "Sorted tumor bam",
                    "inputBinding": {
                        "prefix": "--tumor_bam"
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#cmo-delly.call.cwl/tumor_bam"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 5,
                    "doc": "min. mapping quality for genotyping",
                    "inputBinding": {
                        "prefix": "--geno-qual"
                    },
                    "id": "#cmo-delly.call.cwl/u"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "input VCF/BCF file for re-genotyping",
                    "inputBinding": {
                        "prefix": "--vcffile"
                    },
                    "id": "#cmo-delly.call.cwl/v"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "file with regions to exclude",
                    "inputBinding": {
                        "prefix": "--exclude_file"
                    },
                    "id": "#cmo-delly.call.cwl/x"
                }
            ],
            "id": "#cmo-delly.call.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-delly.call",
                    "http://usefulinc.com/ns/doap#revision": "0.7.7"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Nikhil Kumar",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:kumarn1@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Nikhil Kumar",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:kumarn1@mskcc.org"
                        }
                    ]
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bcf.csi"
                    ],
                    "outputBinding": {
                        "glob": "${\n  if (inputs.o)\n    return inputs.o;\n  return null;\n}\n"
                    },
                    "id": "#cmo-delly.call.cwl/sv_file"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_delly"
            ],
            "label": "cmo-delly-filter",
            "arguments": [
                {
                    "valueFrom": "0.7.7",
                    "prefix": "--version",
                    "position": 0
                },
                {
                    "valueFrom": "filter",
                    "prefix": "--cmd",
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 8000,
                    "coresMin": 1,
                    "class": "ResourceRequirement"
                }
            ],
            "doc": "None\n",
            "inputs": [
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.04,
                    "doc": "min. fractional ALT support",
                    "inputBinding": {
                        "prefix": "--altaf"
                    },
                    "id": "#cmo-delly.filter.cwl/a"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "doc": "include regions marked in this genome",
                    "inputBinding": {
                        "prefix": "--all_regions"
                    },
                    "id": "#cmo-delly.filter.cwl/all_regions"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "doc": "max. fractional ALT support in control",
                    "inputBinding": {
                        "prefix": "--controlcontamination"
                    },
                    "id": "#cmo-delly.filter.cwl/c"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.800000012,
                    "doc": "max. read-depth ratio of carrier vs. non-carrier for a deletion",
                    "inputBinding": {
                        "prefix": "--rddel"
                    },
                    "id": "#cmo-delly.filter.cwl/e"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "somatic",
                    "doc": "Filter mode (somatic, germline)",
                    "inputBinding": {
                        "prefix": "--filter"
                    },
                    "id": "#cmo-delly.filter.cwl/f"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--input"
                    },
                    "doc": "Input file (.bcf)",
                    "id": "#cmo-delly.filter.cwl/i"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 500,
                    "doc": "min. SV size",
                    "inputBinding": {
                        "prefix": "--minsize"
                    },
                    "id": "#cmo-delly.filter.cwl/m"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 500000000,
                    "doc": "max. SV size",
                    "inputBinding": {
                        "prefix": "--maxsize"
                    },
                    "id": "#cmo-delly.filter.cwl/n"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "sv.bcf",
                    "doc": "Filtered SV BCF output file",
                    "inputBinding": {
                        "prefix": "--outfile"
                    },
                    "id": "#cmo-delly.filter.cwl/o"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "doc": "Filter sites for PASS",
                    "inputBinding": {
                        "prefix": "--pass"
                    },
                    "id": "#cmo-delly.filter.cwl/p"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 15,
                    "doc": "min. median GQ for carriers and non-carriers",
                    "inputBinding": {
                        "prefix": "--gq"
                    },
                    "id": "#cmo-delly.filter.cwl/q"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.0,
                    "doc": "min. fraction of genotyped samples",
                    "inputBinding": {
                        "prefix": "--ratiogeno"
                    },
                    "id": "#cmo-delly.filter.cwl/r"
                },
                {
                    "type": "File",
                    "doc": "Two-column sample file listing sample name and tumor or control",
                    "inputBinding": {
                        "prefix": "--samples"
                    },
                    "id": "#cmo-delly.filter.cwl/s"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stderr to file",
                    "inputBinding": {
                        "prefix": "--stderr"
                    },
                    "id": "#cmo-delly.filter.cwl/stderr"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "log stdout to file",
                    "inputBinding": {
                        "prefix": "--stdout"
                    },
                    "id": "#cmo-delly.filter.cwl/stdout"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "DEL",
                    "doc": "SV type (DEL, DUP, INV, BND, INS)",
                    "inputBinding": {
                        "prefix": "--type"
                    },
                    "id": "#cmo-delly.filter.cwl/t"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 1.20000005,
                    "doc": "min. read-depth ratio of carrier vs. non-carrier for a duplication",
                    "inputBinding": {
                        "prefix": "--rddup"
                    },
                    "id": "#cmo-delly.filter.cwl/u"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 10,
                    "doc": "min. coverage in tumor",
                    "inputBinding": {
                        "prefix": "--coverage"
                    },
                    "id": "#cmo-delly.filter.cwl/v"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bcf.csi"
                    ],
                    "outputBinding": {
                        "glob": "${\n  if (inputs.o)\n    return inputs.o;\n  return null;\n}\n"
                    },
                    "id": "#cmo-delly.filter.cwl/sv_file"
                }
            ],
            "id": "#cmo-delly.filter.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-delly.filter",
                    "http://usefulinc.com/ns/doap#revision": "0.7.7"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Nikhil Kumar",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:kumarn1@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Nikhil Kumar",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:kumarn1@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_index"
            ],
            "label": "cmo-index",
            "arguments": [
                {
                    "valueFrom": "2.9",
                    "prefix": "--version",
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "ramMin": 16000,
                    "coresMin": 1,
                    "class": "ResourceRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--normal"
                    },
                    "doc": "picard interval list",
                    "id": "#cmo-index.cwl/normal"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--tumor"
                    },
                    "id": "#cmo-index.cwl/tumor"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.normal.basename)"
                    },
                    "secondaryFiles": [
                        "^.bai",
                        ".bai"
                    ],
                    "id": "#cmo-index.cwl/normal_bam"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor.basename)"
                    },
                    "secondaryFiles": [
                        "^.bai",
                        ".bai"
                    ],
                    "id": "#cmo-index.cwl/tumor_bam"
                }
            ],
            "id": "#cmo-index.cwl",
            "http://usefulinc.com/ns/doap#name": "cmo-index.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Christopher Harris",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:harrisc2@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Christopher Harris",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:harrisc2@mskcc.org"
                        },
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "cmo_vcf2maf"
            ],
            "label": "cmo-vcf2maf",
            "arguments": [
                {
                    "valueFrom": "1.6.17",
                    "prefix": "--version",
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "ramMin": 8000,
                    "coresMin": 2,
                    "class": "ResourceRequirement"
                }
            ],
            "doc": "None\n",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "When reporting co-located variants, allow mismatched variant alleles too",
                    "inputBinding": {
                        "prefix": "--any-allele"
                    },
                    "id": "#cmo-vcf2maf.cwl/any_allele"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 5000,
                    "doc": "Number of variants VEP loads at a time; Reduce this for low memory systems",
                    "inputBinding": {
                        "prefix": "--buffer-size"
                    },
                    "id": "#cmo-vcf2maf.cwl/buffer_size"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/opt/common/CentOS_6-dev/vcf2maf/v1.6.17/data/isoform_overrides_at_mskcc",
                    "doc": "List of custom ENST IDs that override canonical selection",
                    "inputBinding": {
                        "prefix": "--custom-enst"
                    },
                    "id": "#cmo-vcf2maf.cwl/custom_enst"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "doc": "The non-TCGA VCF from exac.broadinstitute.org",
                    "inputBinding": {
                        "prefix": "--filter-vcf"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#cmo-vcf2maf.cwl/filter_vcf"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "doc": "Path to input file in VCF format",
                    "inputBinding": {
                        "prefix": "--input-vcf"
                    },
                    "id": "#cmo-vcf2maf.cwl/input_vcf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "mskcc.org",
                    "doc": "Variant calling center to report in MAF",
                    "inputBinding": {
                        "prefix": "--maf-center"
                    },
                    "id": "#cmo-vcf2maf.cwl/maf_center"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 10,
                    "doc": "Use tag common_variant if the filter-vcf reports a subpopulation AC higher than this",
                    "inputBinding": {
                        "prefix": "--max-filter-ac"
                    },
                    "id": "#cmo-vcf2maf.cwl/max_filter_ac"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.7,
                    "doc": "If GT undefined in VCF, minimum allele fraction to call a variant homozygous",
                    "inputBinding": {
                        "prefix": "--min-hom-vaf"
                    },
                    "id": "#cmo-vcf2maf.cwl/min_hom_vaf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "GRCh37",
                    "doc": "Genome build of variants in input",
                    "inputBinding": {
                        "prefix": "--ncbi-build"
                    },
                    "id": "#cmo-vcf2maf.cwl/ncbi_build"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "NORMAL",
                    "doc": "Matched_Norm_Sample_Barcode to report in the MAF",
                    "inputBinding": {
                        "prefix": "--normal-id"
                    },
                    "id": "#cmo-vcf2maf.cwl/normal_id"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Path to output MAF file",
                    "inputBinding": {
                        "prefix": "--output-maf"
                    },
                    "id": "#cmo-vcf2maf.cwl/output_maf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Reference FASTA file",
                    "inputBinding": {
                        "prefix": "--ref-fasta"
                    },
                    "id": "#cmo-vcf2maf.cwl/ref_fasta"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Chain file to remap variants to a different assembly before running VEP",
                    "inputBinding": {
                        "prefix": "--remap-chain"
                    },
                    "id": "#cmo-vcf2maf.cwl/remap_chain"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Comma-delimited names of FORMAT fields to retain as extra columns in MAF []",
                    "inputBinding": {
                        "prefix": "--retain-fmt"
                    },
                    "id": "#cmo-vcf2maf.cwl/retain_fmt"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Comma-delimited names of INFO fields to retain as extra columns in MAF",
                    "inputBinding": {
                        "prefix": "--retain-info"
                    },
                    "id": "#cmo-vcf2maf.cwl/retain_info"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "homo_sapiens",
                    "doc": "Species of variants in input",
                    "inputBinding": {
                        "prefix": "--species"
                    },
                    "id": "#cmo-vcf2maf.cwl/species"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "Folder to retain intermediate VCFs after runtime",
                    "inputBinding": {
                        "prefix": "--tmp-dir"
                    },
                    "id": "#cmo-vcf2maf.cwl/tmp_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "TUMOR",
                    "doc": "Tumor_Sample_Barcode to report in the MAF",
                    "inputBinding": {
                        "prefix": "--tumor-id"
                    },
                    "id": "#cmo-vcf2maf.cwl/tumor_id"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "NORMAL",
                    "doc": "Matched normal ID used in VCF's genotype columns",
                    "inputBinding": {
                        "prefix": "--vcf-normal-id"
                    },
                    "id": "#cmo-vcf2maf.cwl/vcf_normal_id"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "TUMOR",
                    "doc": "Tumor sample ID used in VCF's genotype columns",
                    "inputBinding": {
                        "prefix": "--vcf-tumor-id"
                    },
                    "id": "#cmo-vcf2maf.cwl/vcf_tumor_id"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "VEP's base cache/plugin directory",
                    "inputBinding": {
                        "prefix": "--vep-data"
                    },
                    "id": "#cmo-vcf2maf.cwl/vep_data"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 4,
                    "doc": "Number of forked processes to use when running VEP",
                    "inputBinding": {
                        "prefix": "--vep-forks"
                    },
                    "id": "#cmo-vcf2maf.cwl/vep_forks"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/opt/common/CentOS_6-dev/vep/v86",
                    "doc": "Folder containing variant_effect_predictor.pl or vep binary",
                    "inputBinding": {
                        "prefix": "--vep-path"
                    },
                    "id": "#cmo-vcf2maf.cwl/vep_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "86",
                    "doc": "Version of VEP and its cache to use",
                    "inputBinding": {
                        "prefix": "--vep-release"
                    },
                    "id": "#cmo-vcf2maf.cwl/vep_release"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.output_maf)\n    return inputs.output_maf;\n  return null;\n}\n"
                    },
                    "id": "#cmo-vcf2maf.cwl/output"
                }
            ],
            "id": "#cmo-vcf2maf.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cmo-vcf2maf",
                    "http://usefulinc.com/ns/doap#revision": "1.6.17"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Nikhil Kumar",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:kumarn1@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Jaeyoung Chun",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:chunj@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "Workflow",
            "label": "module-6",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/delly_type"
                },
                {
                    "type": "string",
                    "id": "#main/genome"
                },
                {
                    "type": "File",
                    "id": "#main/normal_bam"
                },
                {
                    "type": "string",
                    "id": "#main/normal_sample_name"
                },
                {
                    "type": "File",
                    "id": "#main/tumor_bam"
                },
                {
                    "type": "string",
                    "id": "#main/tumor_sample_name"
                },
                {
                    "type": "string",
                    "id": "#main/vep_data"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "*.pass.bcf"
                    },
                    "secondaryFiles": [
                        "^.bcf.csi"
                    ],
                    "outputSource": "#main/call_sv_by_delly/delly_filtered_sv",
                    "id": "#main/delly_filtered_sv"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "secondaryFiles": [
                        "^.bcf.csi"
                    ],
                    "outputSource": "#main/call_sv_by_delly/delly_sv",
                    "id": "#main/delly_sv"
                },
                {
                    "type": "File",
                    "outputSource": "#main/convert_vcf2maf/output",
                    "id": "#main/maf_file"
                },
                {
                    "type": "File",
                    "outputSource": "#main/merge_with_bcftools/merged_file",
                    "id": "#main/merged_file"
                },
                {
                    "type": "File",
                    "outputSource": "#main/merge_with_bcftools_unfiltered/merged_file_unfiltered",
                    "id": "#main/merged_file_unfiltered"
                },
                {
                    "type": "File",
                    "outputSource": "#main/portal_format_output/portal_file",
                    "id": "#main/portal_file"
                }
            ],
            "steps": [
                {
                    "scatter": [
                        "#main/call_sv_by_delly/delly_type"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#main/delly_type",
                            "id": "#main/call_sv_by_delly/delly_type"
                        },
                        {
                            "source": "#main/genome",
                            "id": "#main/call_sv_by_delly/genome"
                        },
                        {
                            "source": "#main/index/normal_bam",
                            "id": "#main/call_sv_by_delly/normal_bam"
                        },
                        {
                            "source": "#main/normal_sample_name",
                            "id": "#main/call_sv_by_delly/normal_sample_name"
                        },
                        {
                            "source": "#main/createTNPair/pairfile",
                            "id": "#main/call_sv_by_delly/pairfile"
                        },
                        {
                            "source": "#main/index/tumor_bam",
                            "id": "#main/call_sv_by_delly/tumor_bam"
                        },
                        {
                            "source": "#main/tumor_sample_name",
                            "id": "#main/call_sv_by_delly/tumor_sample_name"
                        }
                    ],
                    "out": [
                        "#main/call_sv_by_delly/delly_sv",
                        "#main/call_sv_by_delly/delly_filtered_sv"
                    ],
                    "run": {
                        "class": "Workflow",
                        "inputs": [
                            {
                                "type": "string",
                                "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_type"
                            },
                            {
                                "type": "string",
                                "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/genome"
                            },
                            {
                                "type": "File",
                                "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/normal_bam"
                            },
                            {
                                "type": "string",
                                "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/normal_sample_name"
                            },
                            {
                                "type": "File",
                                "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/pairfile"
                            },
                            {
                                "type": "File",
                                "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/tumor_bam"
                            },
                            {
                                "type": "string",
                                "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/tumor_sample_name"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "*.pass.bcf"
                                },
                                "secondaryFiles": [
                                    "^.bcf.csi"
                                ],
                                "outputSource": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_filter/sv_file",
                                "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_filtered_sv"
                            },
                            {
                                "type": "File",
                                "secondaryFiles": [
                                    "^.bcf.csi"
                                ],
                                "outputSource": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_call/sv_file",
                                "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_sv"
                            }
                        ],
                        "steps": [
                            {
                                "run": "#cmo-delly.call.cwl",
                                "in": [
                                    {
                                        "source": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/genome",
                                        "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_call/g"
                                    },
                                    {
                                        "source": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/normal_bam",
                                        "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_call/normal_bam"
                                    },
                                    {
                                        "source": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/normal_sample_name",
                                        "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_call/normal_sample_name"
                                    },
                                    {
                                        "valueFrom": "${ return inputs.tumor_sample_name + \".\" + inputs.normal_sample_name +\".\" + inputs.t + \".bcf\"; }",
                                        "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_call/o"
                                    },
                                    {
                                        "source": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_type",
                                        "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_call/t"
                                    },
                                    {
                                        "source": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/tumor_bam",
                                        "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_call/tumor_bam"
                                    },
                                    {
                                        "source": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/tumor_sample_name",
                                        "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_call/tumor_sample_name"
                                    }
                                ],
                                "out": [
                                    "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_call/sv_file"
                                ],
                                "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_call"
                            },
                            {
                                "run": "#cmo-delly.filter.cwl",
                                "in": [
                                    {
                                        "source": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_call/sv_file",
                                        "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_filter/i"
                                    },
                                    {
                                        "valueFrom": "${ return inputs.i.basename.replace(\".bcf\", \".pass.bcf\"); }",
                                        "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_filter/o"
                                    },
                                    {
                                        "source": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/pairfile",
                                        "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_filter/s"
                                    },
                                    {
                                        "source": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_type",
                                        "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_filter/t"
                                    }
                                ],
                                "out": [
                                    "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_filter/sv_file"
                                ],
                                "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb/delly_filter"
                            }
                        ],
                        "id": "#main/call_sv_by_delly/63690d18-24b6-40ce-8556-40bf861e96bb"
                    },
                    "id": "#main/call_sv_by_delly"
                },
                {
                    "run": "#cmo-vcf2maf.cwl",
                    "in": [
                        {
                            "source": "#main/merge_with_bcftools/merged_file",
                            "id": "#main/convert_vcf2maf/input_vcf"
                        },
                        {
                            "source": "#main/normal_sample_name",
                            "id": "#main/convert_vcf2maf/normal_id"
                        },
                        {
                            "valueFrom": "$(inputs.input_vcf.basename.replace('vcf','vep.maf'))",
                            "id": "#main/convert_vcf2maf/output_maf"
                        },
                        {
                            "source": "#main/tumor_sample_name",
                            "id": "#main/convert_vcf2maf/tumor_id"
                        },
                        {
                            "source": "#main/normal_sample_name",
                            "id": "#main/convert_vcf2maf/vcf_normal_id"
                        },
                        {
                            "source": "#main/tumor_sample_name",
                            "id": "#main/convert_vcf2maf/vcf_tumor_id"
                        },
                        {
                            "source": "#main/vep_data",
                            "id": "#main/convert_vcf2maf/vep_data"
                        }
                    ],
                    "out": [
                        "#main/convert_vcf2maf/output"
                    ],
                    "id": "#main/convert_vcf2maf"
                },
                {
                    "in": [
                        {
                            "valueFrom": "${ return inputs.tumor_sample_name + \"\\ttumor\\n\" + inputs.normal_sample_name + \"\\tcontrol\"; }",
                            "id": "#main/createTNPair/echoString"
                        },
                        {
                            "source": "#main/normal_sample_name",
                            "id": "#main/createTNPair/normal_sample_name"
                        },
                        {
                            "valueFrom": "${ return \"tn_pair.txt\"; }",
                            "id": "#main/createTNPair/output_filename"
                        },
                        {
                            "source": "#main/tumor_sample_name",
                            "id": "#main/createTNPair/tumor_sample_name"
                        }
                    ],
                    "out": [
                        "#main/createTNPair/pairfile"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "baseCommand": [
                            "echo",
                            "-e"
                        ],
                        "stdout": "$(inputs.output_filename)",
                        "requirements": [
                            {
                                "class": "InlineJavascriptRequirement"
                            },
                            {
                                "class": "MultipleInputFeatureRequirement"
                            }
                        ],
                        "inputs": [
                            {
                                "type": "string",
                                "inputBinding": {
                                    "position": 1
                                },
                                "id": "#main/createTNPair/b7320dbe-3f1d-4c6a-83ea-8104ef147211/echoString"
                            },
                            {
                                "type": "string",
                                "id": "#main/createTNPair/b7320dbe-3f1d-4c6a-83ea-8104ef147211/output_filename"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "id": "#main/createTNPair/b7320dbe-3f1d-4c6a-83ea-8104ef147211/pairfile",
                                "outputBinding": {
                                    "glob": "$(inputs.output_filename)"
                                }
                            }
                        ],
                        "id": "#main/createTNPair/b7320dbe-3f1d-4c6a-83ea-8104ef147211"
                    },
                    "id": "#main/createTNPair"
                },
                {
                    "run": "#cmo-index.cwl",
                    "in": [
                        {
                            "source": "#main/normal_bam",
                            "id": "#main/index/normal"
                        },
                        {
                            "source": "#main/tumor_bam",
                            "id": "#main/index/tumor"
                        }
                    ],
                    "out": [
                        "#main/index/tumor_bam",
                        "#main/index/normal_bam"
                    ],
                    "id": "#main/index"
                },
                {
                    "in": [
                        {
                            "source": "#main/normal_sample_name",
                            "id": "#main/merge_with_bcftools/normal_sample_name"
                        },
                        {
                            "valueFrom": "${ return inputs.tumor_sample_name + \".\" + inputs.normal_sample_name + \".svs.pass.vcf\"; }",
                            "id": "#main/merge_with_bcftools/output_filename"
                        },
                        {
                            "source": "#main/call_sv_by_delly/delly_filtered_sv",
                            "id": "#main/merge_with_bcftools/pass_bcf_files"
                        },
                        {
                            "source": "#main/tumor_sample_name",
                            "id": "#main/merge_with_bcftools/tumor_sample_name"
                        }
                    ],
                    "out": [
                        "#main/merge_with_bcftools/merged_file"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "baseCommand": [
                            "bcftools",
                            "concat",
                            "-a"
                        ],
                        "stdout": "$(inputs.output_filename)",
                        "inputs": [
                            {
                                "type": "string",
                                "inputBinding": {
                                    "prefix": "--output",
                                    "position": 1
                                },
                                "id": "#main/merge_with_bcftools/28ec3f30-0166-4f75-898f-2b4840c52de0/output_filename"
                            },
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "secondaryFiles": [
                                    "^.bcf.csi"
                                ],
                                "inputBinding": {
                                    "position": 2
                                },
                                "id": "#main/merge_with_bcftools/28ec3f30-0166-4f75-898f-2b4840c52de0/pass_bcf_files"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "id": "#main/merge_with_bcftools/28ec3f30-0166-4f75-898f-2b4840c52de0/merged_file",
                                "outputBinding": {
                                    "glob": "$(inputs.output_filename)"
                                }
                            }
                        ],
                        "id": "#main/merge_with_bcftools/28ec3f30-0166-4f75-898f-2b4840c52de0"
                    },
                    "id": "#main/merge_with_bcftools"
                },
                {
                    "in": [
                        {
                            "source": "#main/call_sv_by_delly/delly_sv",
                            "id": "#main/merge_with_bcftools_unfiltered/bcf_files"
                        },
                        {
                            "source": "#main/normal_sample_name",
                            "id": "#main/merge_with_bcftools_unfiltered/normal_sample_name"
                        },
                        {
                            "valueFrom": "${ return inputs.tumor_sample_name + \".\" + inputs.normal_sample_name + \".svs.vcf\"; }",
                            "id": "#main/merge_with_bcftools_unfiltered/output_filename"
                        },
                        {
                            "source": "#main/tumor_sample_name",
                            "id": "#main/merge_with_bcftools_unfiltered/tumor_sample_name"
                        }
                    ],
                    "out": [
                        "#main/merge_with_bcftools_unfiltered/merged_file_unfiltered"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "baseCommand": [
                            "bcftools",
                            "concat",
                            "-a"
                        ],
                        "stdout": "$(inputs.output_filename)",
                        "inputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "secondaryFiles": [
                                    "^.bcf.csi"
                                ],
                                "inputBinding": {
                                    "position": 2
                                },
                                "id": "#main/merge_with_bcftools_unfiltered/e59a6e3d-5f74-44c7-9d39-fe9ae4365a5a/bcf_files"
                            },
                            {
                                "type": "string",
                                "inputBinding": {
                                    "prefix": "--output",
                                    "position": 1
                                },
                                "id": "#main/merge_with_bcftools_unfiltered/e59a6e3d-5f74-44c7-9d39-fe9ae4365a5a/output_filename"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "id": "#main/merge_with_bcftools_unfiltered/e59a6e3d-5f74-44c7-9d39-fe9ae4365a5a/merged_file_unfiltered",
                                "outputBinding": {
                                    "glob": "$(inputs.output_filename)"
                                }
                            }
                        ],
                        "id": "#main/merge_with_bcftools_unfiltered/e59a6e3d-5f74-44c7-9d39-fe9ae4365a5a"
                    },
                    "id": "#main/merge_with_bcftools_unfiltered"
                },
                {
                    "run": "#format-maf.cwl",
                    "in": [
                        {
                            "source": "#main/convert_vcf2maf/output",
                            "id": "#main/portal_format_output/input_maf"
                        }
                    ],
                    "out": [
                        "#main/portal_format_output/portal_file"
                    ],
                    "id": "#main/portal_format_output"
                }
            ],
            "id": "#main",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "module-3",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Allan Bolipata",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:bolipatc@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Allan Bolipata",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:bolipatc@mskcc.org"
                        },
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Nikhil Kumar",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:kumarn1@mskcc.org"
                        },
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Christopher Harris",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:harrisc2@mskcc.org"
                        }
                    ]
                }
            ]
        },
        {
            "class": "Workflow",
            "label": "format-maf",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#format-maf.cwl/input_maf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#format-maf.cwl/portal_format_output/portal_formatted",
                    "id": "#format-maf.cwl/portal_file"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#format-maf.cwl/extract_columns/extracted_file",
                            "id": "#format-maf.cwl/add_two_columns/extracted_file"
                        },
                        {
                            "valueFrom": "${ return inputs.extracted_file.basename.replace(\".extracted.txt\", \".columns_added.txt\"); }",
                            "id": "#format-maf.cwl/add_two_columns/output_filename"
                        }
                    ],
                    "out": [
                        "#format-maf.cwl/add_two_columns/columns_added"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "baseCommand": [
                            "sed",
                            "1s/$/\\tDNA_support\\tRNA_support/;2,$s/$/\\tyes\\tno/"
                        ],
                        "stdout": "$(inputs.output_filename)",
                        "inputs": [
                            {
                                "type": "File",
                                "inputBinding": {
                                    "position": 1
                                },
                                "id": "#format-maf.cwl/add_two_columns/c189b72a-c913-412c-9e81-f6eab2ff5c7e/extracted_file"
                            },
                            {
                                "type": "string",
                                "id": "#format-maf.cwl/add_two_columns/c189b72a-c913-412c-9e81-f6eab2ff5c7e/output_filename"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "id": "#format-maf.cwl/add_two_columns/c189b72a-c913-412c-9e81-f6eab2ff5c7e/columns_added",
                                "outputBinding": {
                                    "glob": "$(inputs.output_filename)"
                                }
                            }
                        ],
                        "id": "#format-maf.cwl/add_two_columns/c189b72a-c913-412c-9e81-f6eab2ff5c7e"
                    },
                    "id": "#format-maf.cwl/add_two_columns"
                },
                {
                    "in": [
                        {
                            "source": "#format-maf.cwl/formatting_remove_comments/comment_removed",
                            "id": "#format-maf.cwl/extract_columns/grepped_file"
                        },
                        {
                            "valueFrom": "${ return inputs.grepped_file.basename.replace(\".grepped.txt\", \".extracted.txt\"); }",
                            "id": "#format-maf.cwl/extract_columns/output_filename"
                        }
                    ],
                    "out": [
                        "#format-maf.cwl/extract_columns/extracted_file"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "baseCommand": [],
                        "arguments": [
                            "awk",
                            "-F",
                            "\t",
                            "NR==1 { for(i=1;i<=NF;i++){ f[$i]=i } print \"Hugo_Symbol\\\\tEntrez_Gene_Id\\\\tCenter\\\\tTumor_Sample_Barcode\\\\tFusion\\\\tMethod\\\\tFrame\" } NR>1 { print \\$(f[\"Hugo_Symbol\"])\"\\\\t\"\\$(f[\"Entrez_Gene_Id\"])\"\\\\t\"\\$(f[\"Center\"])\"\\\\t\"\\$(f[\"Tumor_Sample_Barcode\"])\"\\\\t\"\\$(f[\"Fusion\"])\"\\\\t\"\\$(f[\"Method\"])\"\\\\t\"\\$(f[\"Frame\"])}"
                        ],
                        "stdout": "$(inputs.output_filename)",
                        "inputs": [
                            {
                                "type": "File",
                                "inputBinding": {
                                    "position": 1
                                },
                                "id": "#format-maf.cwl/extract_columns/e313624d-888d-4666-bc70-70a12bdf95a4/grepped_file"
                            },
                            {
                                "type": "string",
                                "id": "#format-maf.cwl/extract_columns/e313624d-888d-4666-bc70-70a12bdf95a4/output_filename"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "id": "#format-maf.cwl/extract_columns/e313624d-888d-4666-bc70-70a12bdf95a4/extracted_file",
                                "outputBinding": {
                                    "glob": "$(inputs.output_filename)"
                                }
                            }
                        ],
                        "id": "#format-maf.cwl/extract_columns/e313624d-888d-4666-bc70-70a12bdf95a4"
                    },
                    "id": "#format-maf.cwl/extract_columns"
                },
                {
                    "in": [
                        {
                            "source": "#format-maf.cwl/input_maf",
                            "id": "#format-maf.cwl/formatting_remove_comments/input_maf"
                        },
                        {
                            "valueFrom": "${ return inputs.input_maf.basename.replace(\".maf\", \".grepped.txt\"); }",
                            "id": "#format-maf.cwl/formatting_remove_comments/output_filename"
                        }
                    ],
                    "out": [
                        "#format-maf.cwl/formatting_remove_comments/comment_removed"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "baseCommand": [
                            "grep",
                            "^[^#;]"
                        ],
                        "stdout": "$(inputs.output_filename)",
                        "inputs": [
                            {
                                "type": "File",
                                "inputBinding": {
                                    "position": 1
                                },
                                "id": "#format-maf.cwl/formatting_remove_comments/441f2eea-e24f-4d69-ab27-6d651e62d0e2/input_maf"
                            },
                            {
                                "type": "string",
                                "id": "#format-maf.cwl/formatting_remove_comments/441f2eea-e24f-4d69-ab27-6d651e62d0e2/output_filename"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "id": "#format-maf.cwl/formatting_remove_comments/441f2eea-e24f-4d69-ab27-6d651e62d0e2/comment_removed",
                                "outputBinding": {
                                    "glob": "$(inputs.output_filename)"
                                }
                            }
                        ],
                        "id": "#format-maf.cwl/formatting_remove_comments/441f2eea-e24f-4d69-ab27-6d651e62d0e2"
                    },
                    "id": "#format-maf.cwl/formatting_remove_comments"
                },
                {
                    "in": [
                        {
                            "valueFrom": "${ return inputs.sed_file.basename.replace(\".columns_added.txt\", \".portal.txt\"); }",
                            "id": "#format-maf.cwl/portal_format_output/output_filename"
                        },
                        {
                            "source": "#format-maf.cwl/add_two_columns/columns_added",
                            "id": "#format-maf.cwl/portal_format_output/sed_file"
                        }
                    ],
                    "out": [
                        "#format-maf.cwl/portal_format_output/portal_formatted"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "baseCommand": [],
                        "arguments": [
                            "awk",
                            "-F",
                            "\t",
                            "NR==1 { for(i=1;i<=NF;i++){ f[$i]=i } } { print \\$(f[\"Hugo_Symbol\"])\"\\\\t\"\\$(f[\"Entrez_Gene_Id\"])\"\\\\t\"\\$(f[\"Center\"])\"\\\\t\"\\$(f[\"Tumor_Sample_Barcode\"])\"\\\\t\"\\$(f[\"Fusion\"])\"\\\\t\"\\$(f[\"DNA_support\"])\"\\\\t\"\\$(f[\"RNA_support\"])\"\\\\t\"\\$(f[\"Method\"])\"\\\\t\"\\$(f[\"Frame\"])}"
                        ],
                        "stdout": "$(inputs.output_filename)",
                        "inputs": [
                            {
                                "type": "string",
                                "id": "#format-maf.cwl/portal_format_output/abeaa5bb-2e2a-4e80-82bb-34df64999818/output_filename"
                            },
                            {
                                "type": "File",
                                "inputBinding": {
                                    "position": 1
                                },
                                "id": "#format-maf.cwl/portal_format_output/abeaa5bb-2e2a-4e80-82bb-34df64999818/sed_file"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "id": "#format-maf.cwl/portal_format_output/abeaa5bb-2e2a-4e80-82bb-34df64999818/portal_formatted",
                                "outputBinding": {
                                    "glob": "$(inputs.output_filename)"
                                }
                            }
                        ],
                        "id": "#format-maf.cwl/portal_format_output/abeaa5bb-2e2a-4e80-82bb-34df64999818"
                    },
                    "id": "#format-maf.cwl/portal_format_output"
                }
            ],
            "id": "#format-maf.cwl",
            "http://usefulinc.com/ns/doap#release": [
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "module-3",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                },
                {
                    "class": "http://usefulinc.com/ns/doap#Version",
                    "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
                    "http://usefulinc.com/ns/doap#revision": "1.0.0"
                }
            ],
            "http://purl.org/dc/terms/creator": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Allan Bolipata",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:bolipatc@mskcc.org"
                        }
                    ]
                }
            ],
            "http://purl.org/dc/terms/contributor": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Organization",
                    "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
                    "http://xmlns.com/foaf/0.1/member": [
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Allan Bolipata",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:bolipatc@mskcc.org"
                        },
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Nikhil Kumar",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:kumarn1@mskcc.org"
                        },
                        {
                            "class": "http://xmlns.com/foaf/0.1/Person",
                            "http://xmlns.com/foaf/0.1/name": "Christopher Harris",
                            "http://xmlns.com/foaf/0.1/mbox": "mailto:harrisc2@mskcc.org"
                        }
                    ]
                }
            ]
        }
    ],
    "cwlVersion": "v1.0",
    "$schemas": [
        "http://dublincore.org/2012/06/14/dcterms.rdf",
        "http://usefulinc.com/ns/doap#",
        "http://xmlns.com/foaf/spec/20140114.rdf"
    ],
    "$namespaces": {
        "dct": "http://purl.org/dc/terms/",
        "foaf": "http://xmlns.com/foaf/0.1/",
        "doap": "http://usefulinc.com/ns/doap#"
    }
}
